<script setup lang="ts">
import CatFactCard from './CatFactCard.vue'
import { useCatFacts } from '../composables/useCatFacts'

const { catFacts } = useCatFacts()
</script>

<template>
  <ul class="cat-grid">
    <CatFactCard v-for="catFact in catFacts" :value="catFact" />
  </ul>
</template>

<style scoped>
.cat-grid {
  display: grid;
  grid-template-columns: minmax(200px, 1fr);
  gap: 1rem;
  padding: 1em;
  list-style: none;
}

@media screen and (min-width: 800px) {
  .cat-grid {
    grid-template-columns: repeat(3, 1fr);
  }
}
</style>
